Bug 190860 - export to PDF does not behave correctly with embedded postscript images
export to PDF does not behave correctly with embedded postscript images
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Caolan McNamara
Depends On:
  Show dependency treegraph
Reported: 2006-05-05 15:13 EDT by David Kaplan
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-05-09 10:46:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
OpenOffice.org 14163 None None None Never

  None (edit)
Description David Kaplan 2006-05-05 15:13:36 EDT
Description of problem:
When I export a document to PDF that contains postscript images, the only thing
that appears in the PDF is the preview of the image, not the vector, postscript
version of the image.  One would expect that a PDF convertor would handle this

Traditionally, I have dealt with this problem by creating an Adobe PDF converter
using spadmin, but spadmin does not appear to work correctly with the fedora
version of openoffice (bug #190859).

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.embed a postscript figure in a document (say a presentation)
2.export to PDF
3.open with evince and look at quality of image (if present at al).
Actual results:
Preview of image will be in PDF

Expected results:
High-quality, postscript of figure should appear in final document.

Additional info:
Comment 1 Caolan McNamara 2006-05-09 10:46:37 EDT
Yeah, it's assumed that the preview is of suitable quality. Currently there
isn't the ability to convert the eps directly into vector information suitable
for inclusion in pdf. I did write an (integrated) patch for eps with no previews
to try at least to generate one if one is missing
(http://qa.openoffice.org/issues/show_bug.cgi?id=9290) but the outstanding
problem still exists as http://qa.openoffice.org/issues/show_bug.cgi?id=14163

Note You need to log in before you can comment on or make changes to this bug.